package com.starbuds.server.service.task.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/24
 */
@Mapper
@Repository
public interface AnchorDAO {
    /**
     * 批量查询出可能存在问题的主播 id
     *
     * @param anchorIds
     * @param liveStatus
     * @return
     */
    List<Long> selectIdsByStatus(@Param("anchorIds") List<Long> anchorIds, @Param("liveStatus") Integer liveStatus, @Param("streamStatus") Integer streamStatus);
}
