package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ChannelWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/9/10 15:43
 * @Description 渠道钱包
 */
@Mapper
@Repository
public interface ChannelWalletDAO {

    /**
     * 获取渠道钱包
     *
     * @param type
     * @return
     */
    List<ChannelWalletDO> selectWallets(@Param("type") Integer type);

}
