package com.starbuds.server.service.task.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/16 18:20
 * @Description 家族技能审核持久层
 */
@Mapper
@Repository
public interface FamilySkillAuditDAO {

    /**
     * 更新状态
     *
     * @param familyId
     * @param userId
     * @param auditStatus
     * @param auditMsg
     * @param adminId
     * @param auditTime
     * @return
     */
    int updateStatusByUserId(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("auditStatus") Integer auditStatus, @Param("auditMsg") String auditMsg, @Param("adminId") Long adminId, @Param("auditTime") Long auditTime);
}
