package com.starbuds.server.service.task.dao;

import com.starbuds.server.service.task.entity.rtc.StatRtcRoomDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author qinjiang
 * @DateTime 2021-08-30 10:55:24
 * @Description 语音房数据统计
 */
@Mapper
@Repository
public interface StatRtcRoomDAO {
    /**
     * 批量插入或更新数据
     *
     * @param list
     * @return
     */
    int insertOrUpdateBatch(@Param("list") List<String> list);

    /**
     * 获取上麦用户
     *
     * @param createDate
     * @return
     */
    List<StatRtcRoomDTO> selectSitSeatList(@Param("createDate") Integer createDate);

    /**
     * 获取房间流水
     *
     * @param createDate
     * @return
     */
    List<StatRtcRoomDTO> selectFlow(@Param("createDate") Integer createDate);
}
