package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.FollowRelationDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface UFollowRelationDAO {
    /**
     * 获取历史记录
     *
     * @param endTime
     * @param cursor
     * @param pageSize
     * @return
     */
    List<FollowRelationDO> getFollowHis(@Param("endTime") Long endTime, @Param("cursor") int cursor, @Param("pageSize") int pageSize);
}
