package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.UserRechargeDailyDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/28
 */
@Mapper
@Repository
public interface UserRechargeDailyDAO {
    /**
     * 批量插入
     *
     * @param list
     * @return
     */
    int batchInsert(List<UserRechargeDailyDO> list);

    /**
     * 根据日期统计
     *
     * @param dateNum
     * @return
     */
    int countByDateNum(@Param("dateNum") Integer dateNum);
}
