package com.starbuds.server.service.task.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/24 18:03
 * @Description 支付订单
 */
@Data
public class UserRechargeDTO implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 充值金额
     */
    private BigDecimal orderAmount;

    /**
     * 创建时间
     */
    private Long payOrderCreateTime;

}
