package com.starbuds.server.service.task.entity.annual;

import lombok.Data;

import java.io.Serializable;

/***
 * @author qinjiang
 * @description 查询统计活动数据
 * @date 2021/12/16
 */
@Data
public class StatActivityAnnualDTO implements Serializable {
    /**
     * 次数
     */
    private Integer recordNum;
    /**
     * 分值
     */
    private Long score;
    /**
     * 对象ID
     */
    private Long targetId;
    /**
     * 满足贡献人数
     */
    private Integer overflow;
    /**
     * 加入家族人数
     */
    private Integer joinFamilyNum;
    /**
     * 退出家族人数
     */
    private Integer exitFamilyNum;
}
