package com.starbuds.server.service.task.provider;

import com.starbuds.test.BaseTest;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

@Slf4j
public class StatGoldCoinProviderTest extends BaseTest {

    @Resource
    private StatGoldCoinProvider statGoldCoinProvider;

    public void testStatByDate() {
        LocalDate date = LocalDate.parse("20210903", DateTimeFormatter.BASIC_ISO_DATE);
        boolean stat = statGoldCoinProvider.statByDate(date);
        log.info("根据日期统计金币数据 {}", stat);
    }
}