package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityGrabPeriodDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/4/4
 */
@Mapper
@Repository
public interface ActivityGrabPeriodDAO {
    /**
     * 查询最新一期
     *
     * @return
     */
    @Select("SELECT periodId FROM tb_activity_grab_period ORDER BY periodId DESC LIMIT 1")
    Long selectLatestPeriodId();

    /**
     * 查询状态
     *
     * @param periodId
     * @return
     */
    @Select("SELECT periodStatus, configSnapshot FROM tb_activity_grab_period WHERE periodId = #{periodId}")
    ActivityGrabPeriodDO selectPeriodStatus(Long periodId);
}
