package com.starbuds.server.service.task.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/4/4
 */
@Mapper
@Repository
public interface ActivityGrabPeriodItemDAO {
    /**
     * 查询参与用户
     *
     * @param periodId
     * @return
     */
    @Select("SELECT userId FROM tb_activity_grab_period_item WHERE periodId = #{periodId}")
    List<Long> selectUserIds(Long periodId);
}
