package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.AnchorAttendanceDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-02-22 17:14:15
 * @Description 主播考勤持久层
 */
@Mapper
@Repository
public interface AnchorAttendanceDAO {

    /**
     * 批量插入
     *
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<AnchorAttendanceDO> list);

}
