package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.data.RtcRoomBackground;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface DataRtcRoomBackgroundDAO {

    /**
     * 查询所有指定的背景图
     *
     * @return
     */
    List<RtcRoomBackground> selectScopeBackgroud(@Param("endTimestamp") Long endTimestamp);

}
