package com.starbuds.server.service.task.dao;

import com.starbuds.server.service.task.entity.UserRechargeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/24 17:43
 * @Description 支付订单持久层
 */
@Mapper
@Repository
public interface PayOrderDAO {

    /**
     * 获取用户充值
     *
     * @param payStatus
     * @param time
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<UserRechargeDTO> selectUserRecharge(@Param("payStatus") Integer payStatus, @Param("time") Long time, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 获取大小
     *
     * @param payStatus
     * @param time
     * @return
     */
    int countUserRecharge(@Param("payStatus") Integer payStatus, @Param("time") Long time);

}
