package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.PushSubTaskDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/19 18:18
 * @Description 推送子任务持久层
 */
@Mapper
@Repository
public interface PushSubTaskDAO {

    /**
     * 批量充值
     *
     * @param subTaskList
     * @return
     */
    int batchInsert(@Param("subTaskList") List<PushSubTaskDO> subTaskList);

}
