package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ScoreRankDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/28
 */
@Mapper
@Repository
public interface ScoreRankDAO {
    /**
     * 批量写入
     *
     * @param tableName
     * @param list
     * @return
     */
    int batchInsert(@Param("tableName") String tableName, @Param("list") List<ScoreRankDO> list);

    /**
     * 根据主键统计
     *
     * @param tableName
     * @param timeNum
     * @param scoreType
     * @return
     */
    int countByKey(@Param("tableName") String tableName, @Param("timeNum") Integer timeNum, @Param("scoreType") Integer scoreType);
}
