package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.StatActivityAnnaulDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface StatActivityAnnualDAO {
    /**
     * 批量插入数据对象
     *
     * @param annaulDOList
     * @return
     */
    int batchInsertDayRank(@Param("list") List<StatActivityAnnaulDO> annaulDOList);

    /**
     * 批量删除排行榜(防止重复插入)
     *
     * @param activityType
     * @param statTimestamp
     * @return
     */
    int deleteBatchDayStat(@Param("activityType") Integer activityType, @Param("statTimestamp") Long statTimestamp);
}
