package com.starbuds.server.service.task.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/4
 */
@Mapper
@Repository
public interface UserVipDAO {
    /**
     * 统计过期的
     *
     * @param curTime
     * @return
     */
    int countExpired(@Param("curTime") Long curTime);

    /**
     * 更新过期数据
     *
     * @param curTime
     * @param status
     * @return
     */
    int updateExpired(@Param("curTime") Long curTime, @Param("status") Integer status);
}
