package com.starbuds.server.service.task.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 直播记录
 *
 * @author Lay
 * @date 2020/1/31
 */
@Data
public class LiveHisRecord implements Serializable {
    /**
     * 用户 id
     */
    private Long userId;

    /**
     * 直播总时长
     */
    private Long liveDurationTotal;

    /**
     * 直播总有效时长
     */
    private Long liveEffectiveDurationTotal;

    /**
     * 最高热度
     */
    private Long liveHeatMax;

    /**
     * 最高人气
     */
    private Long liveMaxPopularity;
}
