package com.starbuds.server.service.task.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/19 15:50
 * @Description 推送任务
 */
@Data
public class PushTaskDTO implements Serializable {
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 任务名称
     */
    private String taskName;
    /**
     * 任务类型
     */
    private Integer taskType;
    /**
     * 目标值
     */
    private String targetValue;
    /**
     * 执行时间
     */
    private Long executeTime;
    /**
     * 标题
     */
    private String pushTitle;
    /**
     * 内容
     */
    private String pushBody;
    /**
     * 任务状态
     */
    private Integer taskStatus;
    /**
     * 扩展参数
     */
    private String extParameters;
}
