package com.starbuds.server.service.task.job;

import com.starbuds.server.service.task.constant.JobHandlers;
import com.starbuds.server.service.task.constant.PlatformGathers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
/**
 * 统计合算触发器赠送钻石
 * @author qingjiang
 */
public class StatGatherUserWalletJob extends StatGatherJobBase {

    @XxlJob(value = JobHandlers.STAT_TRIGGER_COIN_TASK)
    public ReturnT<String> statTriggerCoinHandler(String param) {
        logPrefix = "|触发器赠送用户金币| ";

        startGatherJobEntry(param, PlatformGathers.GATHER_Trigger_COIN, 0L);
        return ReturnT.SUCCESS;
    }
}
