package com.starbuds.server.service.task.job;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.constant.task.ExportExcelBizTypeEnum;
import com.starbuds.server.common.utils.DateUtil;
import com.starbuds.server.service.task.entity.ExportExcelDTO;
import com.starbuds.test.BaseTest;
import org.springframework.test.context.ActiveProfiles;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author laoliu
 * @date 2021/8/26 16:47
 * @description
 */
@ActiveProfiles(profiles = "zhatian")
public class ExportExcelJobTest extends BaseTest {

    @Resource
    ExportExcelJob exportExcelJob;

    public void testExportExcelJobDailyHandler() {
        exportExcelJob.exportExcelJobDailyHandler(getParam());
    }

    public static void main(String[] args) {
        ExportExcelDTO po = new ExportExcelDTO();
        po.setBizType(ExportExcelBizTypeEnum.USER_WALLET_WITHDRAW.getValue());
        po.setIsForceCover(1);
        po.setStartTime(DateUtil.getDayBegin());
        po.setEndTime(DateUtil.getDayEnd(new Date()));

        String param = JSON.toJSONString(po);
//        exportExcelJob.exportExcelJobDailyHandler(param);
        System.out.println(param);
    }

    private String getParam() {
        ExportExcelDTO po = new ExportExcelDTO();
        po.setBizType(ExportExcelBizTypeEnum.USER_WALLET_WITHDRAW.getValue());
        po.setIsForceCover(1);
        po.setStartTime(DateUtil.getDayBegin());
        po.setEndTime(DateUtil.getDayEnd(new Date()));

        String param = JSON.toJSONString(po);
        return param;
    }
}